#ifndef _DATABASE_H
#define _DATABASE_H
     
#include <QSqlDatabase>
#include <QDebug>
#include <QSettings>


class DataBase : public QObject
{
    Q_OBJECT

public:
    explicit DataBase(QObject *parent = 0);
    ~DataBase();
    void connectToDataBase();
     
private:
    QSqlDatabase    db;
     
private:
    bool openDataBase();        
    void closeDataBase();       
};


static DataBase *db;


#endif
